Comment 0 for bug 1844805

Jonathan Kamens (jik) wrote :

I upgraded this morning from 19.04 to 19.10 with `do-release-upgrade -d` and the upgrade reported that virtualbox, virtualbox-qt, and virtualbox-dkms encountered problems during the upgrade.

I uninstalled and reinstalled them after rebooting and saw this:

```
ERROR (dkms apport): kernel package linux-headers-5.0.0-29-generic is not supported
Error! Bad return status for module build on kernel: 5.0.0-29-generic (x86_64)
Consult /var/lib/dkms/virtualbox/6.0.12/build/make.log for more information.
```

I think this means the version of virtualbox in 19.10 doesn't want to compile against a 19.04 kernel?

The problem with this, of course, is that everyone who upgrades from 19.04 to 19.10 is going to have a 19.04 kernel installed during the upgrade (and afterward, since one old kernel is saved), so the upgrade will fail for everyone with virtualbox installed. I think this needs to be fixed?

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: virtualbox (not installed)
ProcVersionSignature: Ubuntu 5.3.0-10.11-generic 5.3.0-rc8
Uname: Linux 5.3.0-10-generic x86_64
ApportVersion: 2.20.11-0ubuntu7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Sep 20 10:47:44 2019
InstallationDate: Installed on 2019-09-12 (7 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
SourcePackage: virtualbox
UpgradeStatus: Upgraded to eoan on 2019-09-20 (0 days ago)